# Gimp.Gradient.segment_get_blending_function

    @accepts(Gimp.Gradient, int, Gimp.GradientSegmentType)
    @returns(bool)
    def segment_get_blending_function(self, segment, blend_func):
        # Python wrapper for gimp_gradient_segment_get_blending_function()

Gets the gradient segment's blending function

Gets the blending function of the segment at the index. Returns an error when the segment index is out of range.

Since 2.2

self

  The gradient.

segment

  The index of a segment within the gradient.

blend_func

  The blending function of the segment.

Returns